<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AbstractExecTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractExecTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/AbstractCopyTask.html" title="class in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/AbstractExecTask.html" target="_top">Frames</a></li>
<li><a href="AbstractExecTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks</div>
<h2 title="Class AbstractExecTask" class="title">Class AbstractExecTask&lt;T extends AbstractExecTask&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.AbstractExecTask&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The concrete type of the class.</dd></dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a>, <a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a>, <a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/gradle/api/tasks/Exec.html" title="class in org.gradle.api.tasks">Exec</a>, <a href="../../../../org/gradle/nativeplatform/test/tasks/RunTestExecutable.html" title="class in org.gradle.nativeplatform.test.tasks">RunTestExecutable</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">AbstractExecTask&lt;T extends AbstractExecTask&gt;</span>
extends org.gradle.api.internal.ConventionTask
implements <a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></pre>
<div class="block"><code>AbstractExecTask</code> is the base class for all exec tasks.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#AbstractExecTask(java.lang.Class)">AbstractExecTask</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&gt;&nbsp;taskType)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#args(java.lang.Iterable)">args</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</code>
<div class="block">Adds arguments for the command to be executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#args(java.lang.Object...)">args</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</code>
<div class="block">Adds arguments for the command to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#commandLine(java.lang.Iterable)">commandLine</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</code>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#commandLine(java.lang.Object...)">commandLine</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;arguments)</code>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#copyTo(org.gradle.process.ProcessForkOptions)">copyTo</a></strong>(<a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;target)</code>
<div class="block">Copies these options to the given target options.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#environment(java.util.Map)">environment</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</code>
<div class="block">Adds some environment variables to the environment for this process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#environment(java.lang.String,%20java.lang.Object)">environment</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Adds an environment variable to the environment for this process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#exec()">exec</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#executable(java.lang.Object)">executable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</code>
<div class="block">Sets the name of the executable to use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getArgs()">getArgs</a></strong>()</code>
<div class="block">Returns the arguments for the command to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getCommandLine()">getCommandLine</a></strong>()</code>
<div class="block">Returns the full command line, including the executable plus its arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getEnvironment()">getEnvironment</a></strong>()</code>
<div class="block">The environment variables to use for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getErrorOutput()">getErrorOutput</a></strong>()</code>
<div class="block">Returns the output stream to consume standard error from the process executing the command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.process.internal.ExecActionFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getExecActionFactory()">getExecActionFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/process/ExecResult.html" title="interface in org.gradle.process">ExecResult</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getExecResult()">getExecResult</a></strong>()</code>
<div class="block">Returns the result for the command run by this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getExecutable()">getExecutable</a></strong>()</code>
<div class="block">Returns the name of the executable to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getStandardInput()">getStandardInput</a></strong>()</code>
<div class="block">Returns the standard input stream for the process executing the command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getStandardOutput()">getStandardOutput</a></strong>()</code>
<div class="block">Returns the output stream to consume standard output from the process executing the command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#getWorkingDir()">getWorkingDir</a></strong>()</code>
<div class="block">Returns the working directory for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#isIgnoreExitValue()">isIgnoreExitValue</a></strong>()</code>
<div class="block">Tells whether a non-zero exit value is ignored, or an exception thrown.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setArgs(java.lang.Iterable)">setArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</code>
<div class="block">Sets the arguments for the command to be executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setArgs(java.util.List)">setArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</code>
<div class="block">Sets the arguments for the command to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setCommandLine(java.lang.Iterable)">setCommandLine</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</code>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setCommandLine(java.util.List)">setCommandLine</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;args)</code>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setCommandLine(java.lang.Object...)">setCommandLine</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</code>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setEnvironment(java.util.Map)">setEnvironment</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</code>
<div class="block">Sets the environment variable to use for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setErrorOutput(java.io.OutputStream)">setErrorOutput</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</code>
<div class="block">Sets the output stream to consume standard error from the process executing the command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setExecutable(java.lang.Object)">setExecutable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</code>
<div class="block">Sets the name of the executable to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setExecutable(java.lang.String)">setExecutable</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;executable)</code>
<div class="block">Sets the name of the executable to use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setIgnoreExitValue(boolean)">setIgnoreExitValue</a></strong>(boolean&nbsp;ignoreExitValue)</code>
<div class="block">Sets whether a non-zero exit value is ignored, or an exception thrown.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setStandardInput(java.io.InputStream)">setStandardInput</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream)</code>
<div class="block">Sets the standard input stream for the process executing the command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setStandardOutput(java.io.OutputStream)">setStandardOutput</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</code>
<div class="block">Sets the output stream to consume standard output from the process executing the command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setWorkingDir(java.io.File)">setWorkingDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</code>
<div class="block">Sets the working directory for the process.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#setWorkingDir(java.lang.Object)">setWorkingDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</code>
<div class="block">Sets the working directory for the process.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/AbstractExecTask.html#workingDir(java.lang.Object)">workingDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</code>
<div class="block">Sets the working directory for the process.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractExecTask(java.lang.Class)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractExecTask</h4>
<pre>public&nbsp;AbstractExecTask(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&gt;&nbsp;taskType)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExecActionFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecActionFactory</h4>
<pre>@Inject
protected&nbsp;org.gradle.process.internal.ExecActionFactory&nbsp;getExecActionFactory()</pre>
</li>
</ul>
<a name="exec()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exec</h4>
<pre>protected&nbsp;void&nbsp;exec()</pre>
</li>
</ul>
<a name="commandLine(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commandLine</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;commandLine(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;arguments)</pre>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#commandLine(java.lang.Object...)">commandLine</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - the command plus the args to be executed</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="commandLine(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commandLine</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;commandLine(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</pre>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#commandLine(java.lang.Iterable)">commandLine</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - the command plus the args to be executed</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="args(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>args</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;args(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</pre>
<div class="block">Adds arguments for the command to be executed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#args(java.lang.Object...)">args</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - args for the command</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="args(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>args</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;args(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</pre>
<div class="block">Adds arguments for the command to be executed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#args(java.lang.Iterable)">args</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - args for the command</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="setArgs(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;setArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</pre>
<div class="block">Sets the arguments for the command to be executed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#setArgs(java.util.List)">setArgs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - args for the command</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="setArgs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgs</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;setArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;arguments)</pre>
<div class="block">Sets the arguments for the command to be executed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#setArgs(java.lang.Iterable)">setArgs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - args for the command</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgs</h4>
<pre><a href="../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getArgs()</pre>
<div class="block">Returns the arguments for the command to be executed. Defaults to an empty list.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#getArgs()">getArgs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
</dl>
</li>
</ul>
<a name="getCommandLine()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCommandLine</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getCommandLine()</pre>
<div class="block">Returns the full command line, including the executable plus its arguments.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#getCommandLine()">getCommandLine</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The full command line, including the executable plus its arguments</dd></dl>
</li>
</ul>
<a name="setCommandLine(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCommandLine</h4>
<pre>public&nbsp;void&nbsp;setCommandLine(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;args)</pre>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#setCommandLine(java.util.List)">setCommandLine</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - the command plus the args to be executed</dd></dl>
</li>
</ul>
<a name="setCommandLine(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCommandLine</h4>
<pre>public&nbsp;void&nbsp;setCommandLine(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;?&gt;&nbsp;args)</pre>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#setCommandLine(java.lang.Iterable)">setCommandLine</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - the command plus the args to be executed</dd></dl>
</li>
</ul>
<a name="setCommandLine(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCommandLine</h4>
<pre>public&nbsp;void&nbsp;setCommandLine(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;args)</pre>
<div class="block">Sets the full command line, including the executable to be executed plus its arguments.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ExecSpec.html#setCommandLine(java.lang.Object...)">setCommandLine</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ExecSpec.html" title="interface in org.gradle.process">ExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>args</code> - the command plus the args to be executed</dd></dl>
</li>
</ul>
<a name="getExecutable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutable</h4>
<pre><a href="../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExecutable()</pre>
<div class="block">Returns the name of the executable to use.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#getExecutable()">getExecutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The executable.</dd></dl>
</li>
</ul>
<a name="setExecutable(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutable</h4>
<pre>public&nbsp;void&nbsp;setExecutable(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;executable)</pre>
<div class="block">Sets the name of the executable to use.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.String)">setExecutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>executable</code> - The executable. Must not be null.</dd></dl>
</li>
</ul>
<a name="setExecutable(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutable</h4>
<pre>public&nbsp;void&nbsp;setExecutable(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</pre>
<div class="block">Sets the name of the executable to use.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#setExecutable(java.lang.Object)">setExecutable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>executable</code> - The executable. Must not be null.</dd></dl>
</li>
</ul>
<a name="executable(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executable</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;executable(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;executable)</pre>
<div class="block">Sets the name of the executable to use.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#executable(java.lang.Object)">executable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>executable</code> - The executable. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getWorkingDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorkingDir</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getWorkingDir()</pre>
<div class="block">Returns the working directory for the process. Defaults to the project directory.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#getWorkingDir()">getWorkingDir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The working directory. Never returns null.</dd></dl>
</li>
</ul>
<a name="setWorkingDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorkingDir</h4>
<pre>public&nbsp;void&nbsp;setWorkingDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</pre>
<div class="block">Sets the working directory for the process.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.io.File)">setWorkingDir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - The working directory. Must not be null.</dd></dl>
</li>
</ul>
<a name="setWorkingDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorkingDir</h4>
<pre>public&nbsp;void&nbsp;setWorkingDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</pre>
<div class="block">Sets the working directory for the process. The supplied argument is evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#setWorkingDir(java.lang.Object)">setWorkingDir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - The working directory. Must not be null.</dd></dl>
</li>
</ul>
<a name="workingDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>workingDir</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;workingDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dir)</pre>
<div class="block">Sets the working directory for the process. The supplied argument is evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#workingDir(java.lang.Object)">workingDir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - The working directory. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getEnvironment()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnvironment</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getEnvironment()</pre>
<div class="block">The environment variables to use for the process. Defaults to the environment of this process.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#getEnvironment()">getEnvironment</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The environment. Returns an empty map when there are no environment variables.</dd></dl>
</li>
</ul>
<a name="setEnvironment(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnvironment</h4>
<pre>public&nbsp;void&nbsp;setEnvironment(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</pre>
<div class="block">Sets the environment variable to use for the process.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#setEnvironment(java.util.Map)">setEnvironment</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>environmentVariables</code> - The environment variables. Must not be null.</dd></dl>
</li>
</ul>
<a name="environment(java.lang.String, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>environment</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;environment(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
            <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Adds an environment variable to the environment for this process.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#environment(java.lang.String,%20java.lang.Object)">environment</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the variable.</dd><dd><code>value</code> - The value for the variable. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="environment(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>environment</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;environment(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;environmentVariables)</pre>
<div class="block">Adds some environment variables to the environment for this process.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#environment(java.util.Map)">environment</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>environmentVariables</code> - The environment variables. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="copyTo(org.gradle.process.ProcessForkOptions)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyTo</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;copyTo(<a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a>&nbsp;target)</pre>
<div class="block">Copies these options to the given target options.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/ProcessForkOptions.html#copyTo(org.gradle.process.ProcessForkOptions)">copyTo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/ProcessForkOptions.html" title="interface in org.gradle.process">ProcessForkOptions</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>target</code> - The target options</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="setStandardInput(java.io.InputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStandardInput</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;setStandardInput(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream)</pre>
<div class="block">Sets the standard input stream for the process executing the command. The stream is closed after the process
 completes.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#setStandardInput(java.io.InputStream)">setStandardInput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>inputStream</code> - The standard input stream for the process. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getStandardInput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStandardInput</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;getStandardInput()</pre>
<div class="block">Returns the standard input stream for the process executing the command. The stream is closed after the process
 completes. Defaults to an empty stream.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#getStandardInput()">getStandardInput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The standard input stream.</dd></dl>
</li>
</ul>
<a name="setStandardOutput(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStandardOutput</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;setStandardOutput(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</pre>
<div class="block">Sets the output stream to consume standard output from the process executing the command. The stream is closed
 after the process completes.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#setStandardOutput(java.io.OutputStream)">setStandardOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>outputStream</code> - The standard output stream for the process. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getStandardOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStandardOutput</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;getStandardOutput()</pre>
<div class="block">Returns the output stream to consume standard output from the process executing the command. Defaults to <code>System.out</code>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#getStandardOutput()">getStandardOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The output stream</dd></dl>
</li>
</ul>
<a name="setErrorOutput(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setErrorOutput</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;setErrorOutput(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;outputStream)</pre>
<div class="block">Sets the output stream to consume standard error from the process executing the command. The stream is closed
 after the process completes.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#setErrorOutput(java.io.OutputStream)">setErrorOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>outputStream</code> - The standard output error stream for the process. Must not be null.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="getErrorOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErrorOutput</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;getErrorOutput()</pre>
<div class="block">Returns the output stream to consume standard error from the process executing the command. Default to <code>System.err</code>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#getErrorOutput()">getErrorOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The error output stream.</dd></dl>
</li>
</ul>
<a name="setIgnoreExitValue(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIgnoreExitValue</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/tasks/AbstractExecTask.html" title="type parameter in AbstractExecTask">T</a>&nbsp;setIgnoreExitValue(boolean&nbsp;ignoreExitValue)</pre>
<div class="block">Sets whether a non-zero exit value is ignored, or an exception thrown.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#setIgnoreExitValue(boolean)">setIgnoreExitValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>ignoreExitValue</code> - whether a non-zero exit value is ignored, or an exception thrown</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="isIgnoreExitValue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIgnoreExitValue</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;isIgnoreExitValue()</pre>
<div class="block">Tells whether a non-zero exit value is ignored, or an exception thrown. Defaults to <code>false</code>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/process/BaseExecSpec.html#isIgnoreExitValue()">isIgnoreExitValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/process/BaseExecSpec.html" title="interface in org.gradle.process">BaseExecSpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>whether a non-zero exit value is ignored, or an exception thrown</dd></dl>
</li>
</ul>
<a name="getExecResult()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExecResult</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../org/gradle/process/ExecResult.html" title="interface in org.gradle.process">ExecResult</a>&nbsp;getExecResult()</pre>
<div class="block">Returns the result for the command run by this task. Returns <code>null</code> if this task has not been executed yet.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The result. Returns <code>null</code> if this task has not been executed yet.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/AbstractCopyTask.html" title="class in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/AntBuilderAware.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/AbstractExecTask.html" target="_top">Frames</a></li>
<li><a href="AbstractExecTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
